Loading ...
Sorry, an error occurred while loading the content.

Macro to change RigCat filter?

Expand Messages
  • alw6hgf
    Using IC-7000 which has a very long list of filter options. I use a wide 1000hz for acquisition, and a 200 or less to work in the contest. Does any one know
    Message 1 of 11 , Nov 28, 2009
    • 0 Attachment
      Using IC-7000 which has a very long list of filter options. I use a wide 1000hz for acquisition, and a 200 or less to work in the contest. Does any one know how to change the filter from the Macro bar? I would like to get down to only the two options. I can not seem to find any mention of macro command for the filter width in the help section.

      Thanks, Al W6HGF
    • w1hkj
      ... Not a part of the macro tags Al. Are you testing the alpha rig control program, flrig? Dave
      Message 2 of 11 , Nov 28, 2009
      • 0 Attachment
        alw6hgf wrote:
        > Using IC-7000 which has a very long list of filter options. I use a wide 1000hz for acquisition, and a 200 or less to work in the contest. Does any one know how to change the filter from the Macro bar? I would like to get down to only the two options. I can not seem to find any mention of macro command for the filter width in the help section.
        >
        > Thanks, Al W6HGF
        >
        Not a part of the macro tags Al. Are you testing the alpha rig control
        program, flrig?

        Dave
      • alw6hgf
        Dave, Ok, No I have not started with flrig yet, will give it a try. Thanks, Al W6HGF
        Message 3 of 11 , Nov 28, 2009
        • 0 Attachment
          Dave,

          Ok, No I have not started with flrig yet, will give it a try.

          Thanks, Al W6HGF




          > Not a part of the macro tags Al. Are you testing the alpha rig control
          > program, flrig?
          >
          > Dave
          >
        • Graham Saville
          Hi all, have seen a couple of posts about flrig what is it? ... -- Graham Saville
          Message 4 of 11 , Nov 29, 2009
          • 0 Attachment
            Hi all, have seen a couple of posts about flrig what is it?

            On Sat, 2009-11-28 at 08:57 -0600, w1hkj wrote:
            >
            > alw6hgf wrote:
            > > Using IC-7000 which has a very long list of filter options. I use a
            > wide 1000hz for acquisition, and a 200 or less to work in the contest.
            > Does any one know how to change the filter from the Macro bar? I would
            > like to get down to only the two options. I can not seem to find any
            > mention of macro command for the filter width in the help section.
            > >
            > > Thanks, Al W6HGF
            > >
            > Not a part of the macro tags Al. Are you testing the alpha rig
            > control
            > program, flrig?
            >
            > Dave
            >
            >
            >
            >


            --
            Graham Saville <graham.saville@...>
          • w1hkj
            ... Alpha team members (voluntary membership via the berlios.de list) receive notifications on private postings to test various programs prior to a general
            Message 5 of 11 , Nov 29, 2009
            • 0 Attachment
              Graham Saville wrote:
              Hi all, have seen a couple of posts about flrig what is it?
              
                
              Alpha team members (voluntary membership via the berlios.de list) receive notifications on private postings to test various programs prior to a general release:
              • fldigi - modem program
              • flarq - ARQ file transfer program
              • flwrap - file encapsulation for broadcast file transfers
              • flics - IC213 editor / manager
              • flrig - transceiver control program, designed to work in conjunction with fldigi
              All of which are being worked on as a part of the NBEMS (Narrow Band Emergency Messaging System).

              73, Dave, W1HKJ

            • Graham Saville
              Many thanks
              Message 6 of 11 , Nov 29, 2009
              • 0 Attachment
                Many thanks

                On Sun, 2009-11-29 at 05:18 -0600, w1hkj wrote:
                >
                > Graham Saville wrote:
                > >
                > > Hi all, have seen a couple of posts about flrig what is it?
                > >
                > >
                > Alpha team members (voluntary membership via the berlios.de list)
                > receive notifications on private postings to test various programs
                > prior to a general release:
                > * fldigi - modem program
                > * flarq - ARQ file transfer program
                > * flwrap - file encapsulation for broadcast file transfers
                > * flics - IC213 editor / manager
                > * flrig - transceiver control program, designed to work in
                > conjunction with fldigi
                > All of which are being worked on as a part of the NBEMS (Narrow Band
                > Emergency Messaging System).
                >
                > 73, Dave, W1HKJ
                >
                >
                >
                >
                >
              • Stelios Bounanos
                ... There are no macros for this, but you might be able to do achieve the same effect if you use hamlib. Basically, you will run hamlib s rigctld rig daemon
                Message 7 of 11 , Nov 29, 2009
                • 0 Attachment
                  >>>>> On Sat, 28 Nov 2009 14:25:08 -0000, "alw6hgf" <danis_a123@...> said:

                  > Using IC-7000 which has a very long list of filter options. I use a
                  > wide 1000hz for acquisition, and a 200 or less to work in the contest.
                  > Does any one know how to change the filter from the Macro bar? I
                  > would like to get down to only the two options. I can not seem to
                  > find any mention of macro command for the filter width in the help
                  > section.

                  There are no macros for this, but you might be able to do achieve the
                  same effect if you use hamlib. Basically, you will run hamlib's rigctld
                  "rig daemon" to control the rig and send it commands via fldigi and the
                  rigctl utility (the latter called by a macro). For example:

                  % rigctl -l 2>/dev/null | egrep 'IC-7000|rigctl|Rig#'
                  Rig# Mfg Model Vers. Status
                  2 Hamlib NET rigctl 0.2 Beta
                  360 Icom IC-7000 0.4 Untested

                  So the IC-7000 is rig model 360. Start rigctld with that model number
                  and all other appropriate options (serial port device name, baud rate,
                  etc); refer to its manual page for details.

                  % rigctld -m 360 <other options here>

                  In fldigi, select Hamlib rig control and use the "Hamlib NET rigctl"
                  rig. Enter localhost:4532 in the Device field. When you Initialise,
                  fldigi should be able to control the rig exactly as if it were using the
                  IC-7000 rig backend. The crucial difference is that now you can have
                  additional programs controlling the rig at the same time, if they also
                  use rigctld.

                  Next, write a small shell script to change the filter width. To do
                  this, you will use the rigctl utility with model number 2 (see list
                  above) and pass it the get_mode and set_mode commands, which get/set
                  both the mode and width at the same time.

                  -------------------------cut here-------------------------
                  #!/bin/bash

                  [ $# -eq 1 ] || { echo "Syntax: $0 WIDTH" >&2; exit 1; }
                  new_width=$1

                  set $(rigctl -m 2 get_mode || echo error)
                  [ "$1" == "error" ] && { echo "E: rigctl error" >&2; exit 1; }
                  # $1 now contains current mode (and $2 contains current width)

                  rigctl -m 2 set_mode $1 $new_width
                  -------------------------cut here-------------------------

                  Test the script and ensure that it changes the passband width whilst
                  preserving the rig mode, then copy it to ~/.fldigi/scripts not
                  forgetting to make it executable.

                  Finally, create fldigi macros to run it with something like:

                  <EXEC>width.sh 1000 >/dev/null</EXEC>

                  <EXEC>width.sh 200 >/dev/null</EXEC>


                  All the above assume a Unix-like system. The EXEC macro is not
                  implemented on Windows, but perhaps it could be with some limitations.


                  --

                  73,
                  Stelios, M0GLD.
                • Graham Saville
                  Hi if you use rigcat instead of hamlib you can select the filters from the drop down box next to the mode selector this works well
                  Message 8 of 11 , Nov 29, 2009
                  • 0 Attachment
                    Hi if you use rigcat instead of hamlib you can select the filters from
                    the drop down box next to the mode selector this works well

                    Stelios Bounanos wrote:
                    >
                    > >>>>> On Sat, 28 Nov 2009 14:25:08 -0000, "alw6hgf"
                    > <danis_a123@... <mailto:danis_a123%40yahoo.com>> said:
                    >
                    > > Using IC-7000 which has a very long list of filter options. I use a
                    > > wide 1000hz for acquisition, and a 200 or less to work in the contest.
                    > > Does any one know how to change the filter from the Macro bar? I
                    > > would like to get down to only the two options. I can not seem to
                    > > find any mention of macro command for the filter width in the help
                    > > section.
                    >
                    > There are no macros for this, but you might be able to do achieve the
                    > same effect if you use hamlib. Basically, you will run hamlib's rigctld
                    > "rig daemon" to control the rig and send it commands via fldigi and the
                    > rigctl utility (the latter called by a macro). For example:
                    >
                    > % rigctl -l 2>/dev/null | egrep 'IC-7000|rigctl|Rig#'
                    > Rig# Mfg Model Vers. Status
                    > 2 Hamlib NET rigctl 0.2 Beta
                    > 360 Icom IC-7000 0.4 Untested
                    >
                    > So the IC-7000 is rig model 360. Start rigctld with that model number
                    > and all other appropriate options (serial port device name, baud rate,
                    > etc); refer to its manual page for details.
                    >
                    > % rigctld -m 360 <other options here>
                    >
                    > In fldigi, select Hamlib rig control and use the "Hamlib NET rigctl"
                    > rig. Enter localhost:4532 in the Device field. When you Initialise,
                    > fldigi should be able to control the rig exactly as if it were using the
                    > IC-7000 rig backend. The crucial difference is that now you can have
                    > additional programs controlling the rig at the same time, if they also
                    > use rigctld.
                    >
                    > Next, write a small shell script to change the filter width. To do
                    > this, you will use the rigctl utility with model number 2 (see list
                    > above) and pass it the get_mode and set_mode commands, which get/set
                    > both the mode and width at the same time.
                    >
                    > -------------------------cut here-------------------------
                    > #!/bin/bash
                    >
                    > [ $# -eq 1 ] || { echo "Syntax: $0 WIDTH" >&2; exit 1; }
                    > new_width=$1
                    >
                    > set $(rigctl -m 2 get_mode || echo error)
                    > [ "$1" == "error" ] && { echo "E: rigctl error" >&2; exit 1; }
                    > # $1 now contains current mode (and $2 contains current width)
                    >
                    > rigctl -m 2 set_mode $1 $new_width
                    > -------------------------cut here-------------------------
                    >
                    > Test the script and ensure that it changes the passband width whilst
                    > preserving the rig mode, then copy it to ~/.fldigi/scripts not
                    > forgetting to make it executable.
                    >
                    > Finally, create fldigi macros to run it with something like:
                    >
                    > <EXEC>width.sh 1000 >/dev/null</EXEC>
                    >
                    > <EXEC>width.sh 200 >/dev/null</EXEC>
                    >
                    > All the above assume a Unix-like system. The EXEC macro is not
                    > implemented on Windows, but perhaps it could be with some limitations.
                    >
                    > --
                    >
                    > 73,
                    > Stelios, M0GLD.
                    >
                    >
                  • Stelios Bounanos
                    Hi Graham, ... Yes, but the method below (which BTW should be above, you rude top-poster :-) could be expanded to do arbitrary rig configuration. The hamlib
                    Message 9 of 11 , Nov 29, 2009
                    • 0 Attachment
                      Hi Graham,

                      >>>>> On Sun, 29 Nov 2009 17:28:16 +0000, Graham Saville <graham.saville@...> said:

                      > Hi if you use rigcat instead of hamlib you can select the filters from
                      > the drop down box next to the mode selector this works well

                      Yes, but the method below (which BTW should be above, you rude
                      top-poster :-) could be expanded to do arbitrary rig configuration. The
                      hamlib rigctl utility can control all available features of the rig.

                      >> Stelios Bounanos wrote:
                      >>
                      >> >>>>> On Sat, 28 Nov 2009 14:25:08 -0000, "alw6hgf"
                      >> <danis_a123@... <mailto:danis_a123%40yahoo.com>> said:
                      >>
                      >> > Using IC-7000 which has a very long list of filter options. I use a
                      >> > wide 1000hz for acquisition, and a 200 or less to work in the contest.
                      >> > Does any one know how to change the filter from the Macro bar? I
                      >> > would like to get down to only the two options. I can not seem to
                      >> > find any mention of macro command for the filter width in the help
                      >> > section.
                      >>
                      >> There are no macros for this, but you might be able to do achieve the
                      >> same effect if you use hamlib. Basically, you will run hamlib's rigctld
                      >> "rig daemon" to control the rig and send it commands via fldigi and the
                      >> rigctl utility (the latter called by a macro). For example:

                      [snip]


                      --

                      73,
                      Stelios, M0GLD.
                    • Graham Saville
                      ... Hi Stelios, Yes sorry for top posting I used evolution instead of Thunderbird which is set up correctly (my excuse). I can see that using hamlib is better
                      Message 10 of 11 , Nov 29, 2009
                      • 0 Attachment
                        Stelios Bounanos wrote:
                        >
                        > Hi Graham,
                        >
                        > >>>>> On Sun, 29 Nov 2009 17:28:16 +0000, Graham Saville
                        > <graham.saville@... <mailto:graham.saville%40sky.com>> said:
                        >
                        > > Hi if you use rigcat instead of hamlib you can select the filters from
                        > > the drop down box next to the mode selector this works well
                        >
                        > Yes, but the method below (which BTW should be above, you rude
                        > top-poster :-) could be expanded to do arbitrary rig configuration. The
                        > hamlib rigctl utility can control all available features of the rig.
                        >
                        > >> Stelios Bounanos wrote:
                        > >>
                        > >> >>>>> On Sat, 28 Nov 2009 14:25:08 -0000, "alw6hgf"
                        > >> <danis_a123@... <mailto:danis_a123%40yahoo.com>
                        > <mailto:danis_a123%40yahoo.com>> said:
                        > >>
                        > >> > Using IC-7000 which has a very long list of filter options. I use a
                        > >> > wide 1000hz for acquisition, and a 200 or less to work in the
                        > contest.
                        > >> > Does any one know how to change the filter from the Macro bar? I
                        > >> > would like to get down to only the two options. I can not seem to
                        > >> > find any mention of macro command for the filter width in the help
                        > >> > section.
                        > >>
                        > >> There are no macros for this, but you might be able to do achieve the
                        > >> same effect if you use hamlib. Basically, you will run hamlib's rigctld
                        > >> "rig daemon" to control the rig and send it commands via fldigi and the
                        > >> rigctl utility (the latter called by a macro). For example:
                        >
                        > [snip]
                        >
                        > --
                        >
                        > 73,
                        > Stelios, M0GLD.
                        >
                        >
                        Hi Stelios, Yes sorry for top posting I used evolution instead of
                        Thunderbird which is set up correctly (my excuse). I can see that using
                        hamlib is better could use it for turning off compression automatically
                        when in digital modes.

                        --
                        This Email was sent on:

                        Sun Nov 29 19:34:28 GMT 2009

                        Regards From:
                        */Graham Saville/*

                        Email Address: graham.saville@... <mailto:graham.saville@...>
                      • Graham Saville
                        ... Hi all has anyone tried this with the Icom ic 7000? It may be an issue with hamlib but I have set it up for my IC 7000 and I get an invalid argument error.
                        Message 11 of 11 , Dec 3, 2009
                        • 0 Attachment
                          Stelios Bounanos wrote:
                          >
                          >
                          > >>>>> On Sat, 28 Nov 2009 14:25:08 -0000, "alw6hgf"
                          > <danis_a123@... <mailto:danis_a123%40yahoo.com>> said:
                          >
                          > > Using IC-7000 which has a very long list of filter options. I use a
                          > > wide 1000hz for acquisition, and a 200 or less to work in the contest.
                          > > Does any one know how to change the filter from the Macro bar? I
                          > > would like to get down to only the two options. I can not seem to
                          > > find any mention of macro command for the filter width in the help
                          > > section.
                          >
                          > There are no macros for this, but you might be able to do achieve the
                          > same effect if you use hamlib. Basically, you will run hamlib's rigctld
                          > "rig daemon" to control the rig and send it commands via fldigi and the
                          > rigctl utility (the latter called by a macro). For example:
                          >
                          > % rigctl -l 2>/dev/null | egrep 'IC-7000|rigctl|Rig#'
                          > Rig# Mfg Model Vers. Status
                          > 2 Hamlib NET rigctl 0.2 Beta
                          > 360 Icom IC-7000 0.4 Untested
                          >
                          > So the IC-7000 is rig model 360. Start rigctld with that model number
                          > and all other appropriate options (serial port device name, baud rate,
                          > etc); refer to its manual page for details.
                          >
                          > % rigctld -m 360 <other options here>
                          >
                          > In fldigi, select Hamlib rig control and use the "Hamlib NET rigctl"
                          > rig. Enter localhost:4532 in the Device field. When you Initialise,
                          > fldigi should be able to control the rig exactly as if it were using the
                          > IC-7000 rig backend. The crucial difference is that now you can have
                          > additional programs controlling the rig at the same time, if they also
                          > use rigctld.
                          >
                          > Next, write a small shell script to change the filter width. To do
                          > this, you will use the rigctl utility with model number 2 (see list
                          > above) and pass it the get_mode and set_mode commands, which get/set
                          > both the mode and width at the same time.
                          >
                          > -------------------------cut here-------------------------
                          > #!/bin/bash
                          >
                          > [ $# -eq 1 ] || { echo "Syntax: $0 WIDTH" >&2; exit 1; }
                          > new_width=$1
                          >
                          > set $(rigctl -m 2 get_mode || echo error)
                          > [ "$1" == "error" ] && { echo "E: rigctl error" >&2; exit 1; }
                          > # $1 now contains current mode (and $2 contains current width)
                          >
                          > rigctl -m 2 set_mode $1 $new_width
                          > -------------------------cut here-------------------------
                          >
                          > Test the script and ensure that it changes the passband width whilst
                          > preserving the rig mode, then copy it to ~/.fldigi/scripts not
                          > forgetting to make it executable.
                          >
                          > Finally, create fldigi macros to run it with something like:
                          >
                          > <EXEC>width.sh 1000 >/dev/null</EXEC>
                          >
                          > <EXEC>width.sh 200 >/dev/null</EXEC>
                          >
                          > All the above assume a Unix-like system. The EXEC macro is not
                          > implemented on Windows, but perhaps it could be with some limitations.
                          >
                          > --
                          >
                          > 73,
                          > Stelios, M0GLD.
                          >
                          >


                          Hi all has anyone tried this with the Icom ic 7000?
                          It may be an issue with hamlib but I have set it up for my IC 7000 and I
                          get an invalid argument error. I have tried running rigctl in a terminal
                          direct and have sent the M command which then asks for mode: if I enter
                          LSB it then asks for passband: if I enter say 200 the rig changes to LSB
                          and the passband changes to 450.

                          If I then repeat the process using 2000 as passband it stays at 450.

                          any ideas?

                          Graham G1RNZ
                          >
                        Your message has been successfully submitted and would be delivered to recipients shortly.